<!--
/**
 * Copyright © 2016 Magento. All rights reserved.
 * See COPYING.txt for license details.
 */
-->
<div class="payment-option _collapsible opc-payment-additional discount-code"
     data-bind="mageInit: {'collapsible':{'openedState': '_active'}}">
    <div class="payment-option-title field choice" data-role="title">
        <span class="action action-toggle" id="block-discount-heading" role="heading" aria-level="2">
            <!-- ko i18n: 'طبق كوبون خصم'--><!-- /ko -->
        </span>
    </div>
    <div class="payment-option-content" data-role="content">
        <!-- ko foreach: getRegion('messages') -->
        <!-- ko template: getTemplate() --><!-- /ko -->
        <!--/ko-->
        <form class="form form-discount" id="discount-form" data-bind="blockLoader: isLoading">
            <div class="payment-option-inner">
                <div class="form-group">
                    <label class="label" for="discount-code">
                        <span data-bind="i18n: 'ادخل كود الخصم'"></span>
                    </label>
                        <input class="form-control"
                               type="text"
                               id="discount-code"
                               name="discount_code"
                               data-validate="{'required-entry':true}"
                               data-bind="value: couponCode, attr:{placeholder: $t('ادخل كود الخصم')} " />
                </div>
            </div>
            <div class="actions-toolbar">
                    <!-- ko ifnot: isApplied() -->
                        <button class="action action-apply btn btn-primary" type="submit" data-bind="'value': $t('تطبيق الكوبون'), click: apply">
                            <span><!-- ko i18n: 'تطبيق الكوبون'--><!-- /ko -->
                            تطبيق الكوبون
                            </span>
                        </button>
                    <!-- /ko -->
                    <!-- ko if: isApplied() -->
                        <button class="action action-cancel btn btn-primary btn-outline" type="submit" data-bind="'value': $t('إلغاء الكوبون'), click: cancel">
                            <span><!-- ko i18n: 'إلغاء الكوبون'--><!-- /ko -->
                            إلغاء الكوبون
                            </span>
                        </button>
                    <!-- /ko -->
            </div>
        </form>
    </div>
</div>
